# -*- coding: utf-8 -*-
#
# Copyright European Organization for Nuclear Research (CERN)
# All rights reserved
#
# Please look at the supplied documentation for the user's
# license
#
# Author: Vasilis.Vlachoudis@cern.ch
# Date:   17-Oct-2018

import Evaluation
from deck import CardInfo, Card, CSGCard

#===============================================================================
# Global dictionary containing all units constants
#===============================================================================
class StabGlobalDict(Evaluation.GlobalDict):
	def __init__(self):
		super().__init__()
		self.redefineDistance_cm(1)	# in cm
		self.redefineEnergy_GeV(1e9)	# in eV
		self.redefineTime_s(1)		# in s

#===============================================================================
# Stab CardInfo class
#===============================================================================
class StabCardInfo(CardInfo):
	# ----------------------------------------------------------------------
	# Post initialization after loading other inputs init
	# ----------------------------------------------------------------------
	@staticmethod
	def post_init():
		section = "stab"
		CardInfo.materials[section] = "MATERIAL"

#===============================================================================
# StabCard card class
#===============================================================================
class StabCard(Card, CSGCard):
	"""Penelope input card"""
	MODE       = "stab"
	COMMENT    = "#"

	cardInfo   = StabCardInfo	# Pointer to Card Info
	globalDict = StabGlobalDict()
